INSTALLMGR.1(1)

NAME
installmgr - install, list, update and remove SWORD modules

SYNOPSIS
installmgr -init

installmgr -l

installmgr -u [ModuleName]

installmgr -s

installmgr [-r | -rl | -rd] [RemoteSrcName]

installmgr -ri [RemoteSrcName] [ModuleName]

installmgr -ll [PATH]

installmgr -li [PATH] [ModuleName]

DESCRIPTION
A command line utility to manipulate SWORD modules. It can be used to install, remove, list and update SWORD modules, from local and network locations.

Please note modules will be installed into /usr/share/sword without using APT. If you use this utility you will not be able to uninstall these modules using apt-get, aptitude, synaptic and similar tools.

OPTIONS

-init
    Creates basic user configuration file. This will overwrite existing one.

-l  Lists currently installed SWORD modules.

-u [ModuleName]
    Uninstalls module.

-s  Lists available remote sources

[-r | -rl | -rd] [RemoteSrcName]
    These are used to manipulate remote sources.

    -r  Refreshes remote source.

    -rl Lists available modules from the remote source.

    -rd Lists new/updated modules from the remote source.

-ri [RemoteSrcName] [ModuleName]
    Install module from remote source.

-ll [PATH]
    List available modules at a specified local path.

-li [PATH] [ModuleName]
    Install module from local path.

Authors
This manual page was written by Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com> for Debian project but may be used by others.

SEE ALSO